Задать вопрос
0

установка QNX SDK 6.5 на x64 платформу

задан 2018-11-21 11:49:05 -0500

Hokku Gravatar

Доброе утро!

При установке IDE momentics 4.7 из комплекта QNX SPD 6.5 ( ./qnxsdp-6.5.0SP1-20121234567-linux.bin ) установщик сообщает об ошибке:

Preparing Java(tm) Virtual Machine...
.....................
.....................
Running InstallShield Wizard...
Could not create the Java virtual machine.

.......................
Running InstallShield Wizard...
There was an error trying to initialize the HPI library. Please check your installation, HotSpot does not work correctly when installed in the JDK 1.2 Linux Production Release, or with any JDK 1.1.x release. Could not create the Java virtual machine.

В сети есть несколько мануалок по установке SDK на x64 платформу,
http://get.qnx.com/developers/docs/6.5.0SP1.update/com.qnx.doc.momentics_installation_guide/linux_hosts.html
http://forum.kpda.ru/index.php/topic,1401.0.html
https://blog.csdn.net/sunbibei/article/details/76645530
https://tecadmin.net/install-java-8-on-centos-rhel-and-fedora/

но все попытки выполпнить предлагаемое к успеху не привели, отсюда вопрос, может кто-нибудь подсказать каких нехватает библиотек для запуска инсталятора?

изменить изменить тег "пожаловаться" закрыть Объединить удалить

1 Ответ

Сортировать по » старые новые больше голосов
0

отвечен 2018-12-07 09:28:38 -0500

Night Romantic Gravatar

Поругался он конкретно на то, что не смог запустить Java . В Федоре по умолчанию стоит OpenJDK, т.е. сам интерпретатор для Java присутствует, но, по-видимому, инсталлятору он чем-то не нравится. Судя по первой ссылке, версия старая, рассчитанная на запуск на Fedora 12(!) и Ubuntu 12.04 (2012 года?). Вполне возможно, что сильно обновившийся с тех пор интерпретатор Java его не устраивает, не говоря уже о других библиотеках и всей системе в целом.

С установкой конкретно этой программы никогда дела не имел, но из общих соображений стоит либо искать обновлённый вариант, либо попробовать, например, виндовую версию (если есть) того времени через Wine.

Если других вариантов нет, но программа очень нужна, можно также поставить Ubuntu 12.04 в VirtualBox. Наверное, имеет смысл ставить 32-битную :-)

изменить "пожаловаться" удалить ссылка ещё

Инструменты для обсуждения

1 подписчик

Статистика

Задан: 2018-11-21 10:16:12 -0500

Просмотрен: 98 раз

Последнее обновление: Nov 21 '18